#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9cf781e5, "module_layout" },
	{ 0x553966bd, "platform_driver_unregister" },
	{ 0xa0210bcc, "__platform_driver_register" },
	{ 0x4d1ff60a, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1cfe4e63, "nand_subop_get_data_start_off" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ecbb3b8, "nand_check_erased_ecc_chunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x21a3e0bd, "nand_subop_get_data_len" },
	{ 0x14327b8f, "nand_subop_get_num_addr_cyc" },
	{ 0xb1e7d328, "nand_subop_get_addr_start_off" },
	{ 0xe62a8e86, "nand_op_parser_exec_op" },
	{ 0x40aeaff2, "dma_direct_unmap_sg" },
	{ 0xf1e6bb12, "dma_direct_map_sg" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9ab09e6d, "_dev_warn" },
	{ 0xfdaeeb15, "regmap_update_bits_base" },
	{ 0x86f6a79c, "regmap_write" },
	{ 0xdc7dbdba, "syscon_regmap_lookup_by_phandle" },
	{ 0x69b69b19, "of_device_get_match_data" },
	{ 0xbc085e6e, "of_node_put" },
	{ 0x2e05f3b6, "of_get_next_child" },
	{ 0x1532472d, "devm_request_threaded_irq" },
	{ 0x7951fcb0, "devm_clk_get" },
	{ 0xa1f18dc1, "platform_get_irq" },
	{ 0xd00107ac, "devm_ioremap_resource" },
	{ 0x61d486de, "platform_get_resource" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x1d9ce81c, "nand_read_data_op" },
	{ 0xc2dbb0bd, "nand_change_read_column_op" },
	{ 0x6ac647ff, "nand_read_page_op" },
	{ 0x7445b1f8, "nand_prog_page_end_op" },
	{ 0x4e9472c3, "nand_write_data_op" },
	{ 0xfea1622d, "nand_change_write_column_op" },
	{ 0xb9de834, "nand_prog_page_begin_op" },
	{ 0x29361773, "complete" },
	{ 0x782c5a98, "nand_cleanup" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x9a552441, "of_property_read_string" },
	{ 0xa44e3360, "of_property_count_elems_of_size" },
	{ 0x7e9da8fe, "of_property_read_u32_index" },
	{ 0x1fc532a1, "mtd_device_parse_register" },
	{ 0x41e19085, "nand_scan_with_ids" },
	{ 0xcd81cc51, "of_find_property" },
	{ 0xb3f1257e, "__ll_sc_arch_atomic64_fetch_or" },
	{ 0x3f59b88b, "devm_kmalloc" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb1034b20, "_dev_info" },
	{ 0xd307ddf2, "devm_kasprintf" },
	{ 0x9f38dc27, "_dev_err" },
	{ 0xc188126f, "__dynamic_dev_dbg" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xdcb764ad, "memset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x2eade17d, "dma_release_channel" },
	{ 0xaf76f117, "nand_release" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nand,mtd";

MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand-controller");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand-controllerC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nand");
MODULE_ALIAS("of:N*T*Cmarvell,armada-8k-nandC*");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nand");
MODULE_ALIAS("of:N*T*Cmarvell,armada370-nandC*");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nand");
MODULE_ALIAS("of:N*T*Cmarvell,pxa3xx-nandC*");
MODULE_ALIAS("platform:pxa3xx-nand");

MODULE_INFO(srcversion, "84F5ADF94CBC812FF978A7B");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
