#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9cf781e5, "module_layout" },
	{ 0x70b0a913, "eth_validate_addr" },
	{ 0x4a5f97bc, "eth_mac_addr" },
	{ 0xb10d10f2, "usb_deregister" },
	{ 0xe28a89d5, "usb_register_driver" },
	{ 0x39478c59, "usb_autopm_get_interface" },
	{ 0x60ef6ac1, "__dev_kfree_skb_any" },
	{ 0x273f5f1c, "__ll_sc_arch_atomic64_andnot" },
	{ 0x31f6fcad, "pskb_expand_head" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa5f47c9e, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7c939058, "usb_alloc_coherent" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb1034b20, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x64cc58d, "usb_reset_configuration" },
	{ 0x1dc5a59f, "alloc_etherdev_mqs" },
	{ 0x7da7a7f0, "release_firmware" },
	{ 0x5f47f06a, "request_firmware" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x37a0cba, "kfree" },
	{ 0xa1c76e0a, "_cond_resched" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1f166170, "usb_alloc_urb" },
	{ 0x3a7de1c, "kmem_cache_alloc_trace" },
	{ 0x12e71366, "kmalloc_caches" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x27dca743, "netif_carrier_on" },
	{ 0x92007a32, "usb_autopm_put_interface" },
	{ 0xdfc0f07c, "__dev_kfree_skb_irq" },
	{ 0xef7ad700, "netif_tx_wake_queue" },
	{ 0xedb6c891, "__ll_sc_arch_atomic64_or" },
	{ 0x83f95807, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ab09e6d, "_dev_warn" },
	{ 0xb7aded75, "__dynamic_netdev_dbg" },
	{ 0x58b63264, "free_netdev" },
	{ 0xcb3070d1, "usb_free_coherent" },
	{ 0xd16ba356, "usb_free_urb" },
	{ 0xf0ae1960, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x99fd961b, "usb_kill_urb" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0xfa6094e7, "netif_rx" },
	{ 0xa81f3609, "eth_type_trans" },
	{ 0x350496bc, "skb_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x402b8cbd, "__netdev_alloc_skb" },
	{ 0xc188126f, "__dynamic_dev_dbg" },
	{ 0x28b1a488, "__ll_sc___cmpxchg_case_acq_32" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9f38dc27, "_dev_err" },
	{ 0x641ec599, "usb_submit_urb" },
	{ 0x3eeb2322, "__wake_up" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "37FCC6F1DA21BDC750C3232");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
