#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x9cf781e5, "module_layout" },
	{ 0x87fea0bf, "vb2_ioctl_streamoff" },
	{ 0x47cce7e2, "vb2_ioctl_streamon" },
	{ 0xb3144f3d, "vb2_ioctl_prepare_buf" },
	{ 0x4da30968, "vb2_ioctl_create_bufs" },
	{ 0x9cdfdf4f, "vb2_ioctl_dqbuf" },
	{ 0xf5a77501, "vb2_ioctl_qbuf" },
	{ 0xa700aab7, "vb2_ioctl_querybuf" },
	{ 0x70bd8dc3, "vb2_ioctl_reqbufs" },
	{ 0x7b55d7f7, "vb2_fop_release" },
	{ 0xb75a519f, "v4l2_fh_open" },
	{ 0x3e3c515c, "vb2_fop_mmap" },
	{ 0x20f502cc, "video_ioctl2" },
	{ 0x74457841, "vb2_fop_poll" },
	{ 0x1abdbacc, "vb2_fop_read" },
	{ 0xdc2b1f53, "vb2_ops_wait_finish" },
	{ 0xc3888f7a, "vb2_ops_wait_prepare" },
	{ 0x17540340, "i2c_del_driver" },
	{ 0x2c5d53b6, "i2c_register_driver" },
	{ 0x8b52b158, "wake_up_process" },
	{ 0x76c9339c, "kthread_create_on_node" },
	{ 0xfdc48cf7, "kthread_stop" },
	{ 0x12a38747, "usleep_range" },
	{ 0xf9a482f9, "msleep" },
	{ 0x86f6a79c, "regmap_write" },
	{ 0x9ab09e6d, "_dev_warn" },
	{ 0xb967f8e7, "__video_register_device" },
	{ 0x76616d4a, "devm_nvmem_register" },
	{ 0x5953a045, "__pm_runtime_use_autosuspend" },
	{ 0x309c124f, "pm_runtime_set_autosuspend_delay" },
	{ 0x29595ecf, "pm_runtime_enable" },
	{ 0xc140f297, "__ll_sc_arch_atomic_add" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xba3aa75e, "vb2_queue_init" },
	{ 0x62f2e39b, "vb2_vmalloc_memops" },
	{ 0x977f511b, "__mutex_init" },
	{ 0x7e42b980, "v4l2_device_register" },
	{ 0xfcf54f85, "__regmap_init_i2c" },
	{ 0xc8a2d025, "device_get_match_data" },
	{ 0x8cb655bc, "dev_fwnode" },
	{ 0x3a7de1c, "kmem_cache_alloc_trace" },
	{ 0x12e71366, "kmalloc_caches" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xdc671832, "freezing_slow_path" },
	{ 0xa1c76e0a, "_cond_resched" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x5ab1f259, "vb2_buffer_done" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x58a6ad39, "vb2_plane_vaddr" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x7ab88a45, "system_freezing_cnt" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c1e5bf5, "queued_spin_lock_slowpath" },
	{ 0x28b1a488, "__ll_sc___cmpxchg_case_acq_32" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd28bd487, "video_devdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x66f967b5, "regmap_exit" },
	{ 0xceffc04c, "v4l2_device_unregister" },
	{ 0xdd64e639, "strscpy" },
	{ 0x73c24baf, "video_unregister_device" },
	{ 0xfa528347, "__pm_runtime_set_status" },
	{ 0xce36d0f0, "__pm_runtime_disable" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xdf7518a4, "__ll_sc___cmpxchg_case_mb_32" },
	{ 0xe1e935e1, "__pm_runtime_suspend" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7c741ad, "__pm_runtime_resume" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb1b29243, "devm_hwmon_device_register_with_info" },
	{ 0xf14b13d2, "regmap_get_device" },
	{ 0xfdaeeb15, "regmap_update_bits_base" },
	{ 0xd2ca9382, "regmap_bulk_read" },
	{ 0x1fdc7df2, "_mcount" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videobuf2-v4l2,videodev,videobuf2-vmalloc,videobuf2-common";

MODULE_ALIAS("of:N*T*Cpanasonic,amg88xx");
MODULE_ALIAS("of:N*T*Cpanasonic,amg88xxC*");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640");
MODULE_ALIAS("of:N*T*Cmelexis,mlx90640C*");
MODULE_ALIAS("i2c:amg88xx");
MODULE_ALIAS("i2c:mlx90640");

MODULE_INFO(srcversion, "19ED487765A48F280398A87");

MODULE_INFO(suserelease, "openSUSE Leap 15.2");
